Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.verifier.strategy
Class EJBVerifier21

    java.lang.Object
      org.jboss.verifier.strategy.AbstractVerifier
          org.jboss.verifier.strategy.EJBVerifier20
              org.jboss.verifier.strategy.EJBVerifier21

All Implemented Interfaces:
  org.gjt.lindfors.pattern.Strategy, VerificationStrategy

public class EJBVerifier21
extends EJBVerifier20

EJB 2.1 bean verifier.

Since:
  02.12.2003
Version:
  $Revision: 1.3 $
Author:
  Christoph G. Jung, Thomas.Diesler@jboss.org

Field Summary
`protected Class` | `serviceEndpointInterface`

Fields inherited from class org.jboss.verifier.strategy.EJBVerifier20
`bean, cmp1XVerifier, home, local, localHome, remote`

Fields inherited from class org.jboss.verifier.strategy.AbstractVerifier
`BEAN_MANAGED_TX, classloader, CONTAINER_MANAGED_TX, CREATE_METHOD, EJB_CREATE_METHOD, EJB_HOME_INTERFACE, EJB_HOME_METHOD, EJB_LOCAL_HOME_INTERFACE, EJB_LOCAL_OBJECT_INTERFACE, EJB_OBJECT_INTERFACE, EJB_REMOVE_METHOD, EJB_SELECT_METHOD, STATEFUL_SESSION, STATELESS_SESSION`

Constructor Summary
`EJBVerifier21(VerificationContext context)`

Method Summary
`void` | `checkSession(SessionMetaData session)` Checks the session
`protected boolean` | `hasLegalJAXRPCArguments(Method method)`
`protected boolean` | `hasLegalJAXRPCReturnType(Method method)`
`boolean` | `hasRemoteInterface(Class c)` Finds java.rmi.Remote interface from the class
`protected boolean` | `hasServiceEndpointInterfaces(SessionMetaData bean)` Check whether the bean has declared service endpoint interfaces and whether we can load the defined classes
`protected boolean` | `isJAXRPCType(Class class1)`
`protected boolean` | `verifyMessageDrivenBean(MessageDrivenMetaData mdBean)`
`protected boolean` | `verifyServiceEndpoint(SessionMetaData session)` Verify Session Bean Service Endpoint

Methods inherited from class org.jboss.verifier.strategy.EJBVerifier20
`checkEntity, checkMessageBean, getEjbHomeMethods, getEJBRemoveMethods, getEjbSelectMethods, getHomeMethods, hasEJBRemoveMethod, hasLocalInterfaces, hasMatchingQuery, hasRemoteInterfaces, isCreateMethod, isEjbCreateMethod, isEjbHomeMethod, isEjbRemoveMethod, isEjbSelectMethod, verifyBean, verifySessionBean, verifySessionHome, verifySessionLocal, verifySessionLocalHome, verifySessionRemote`

Methods inherited from class org.jboss.verifier.strategy.AbstractVerifier
`fireBeanVerifiedEvent, fireBeanVerifiedEvent, fireSpecViolationEvent, fireSpecViolationEvent, getContext, getCreateMethods, getDefaultCreateMethod, getEJBCreateMethods, getEJBFindByPrimaryKey, getEJBFindMethods, getFinderMethods, getMatchingEJBCreate, getMatchingEJBFind, getMatchingEJBPostCreate, getOnMessageMethods, hasANonStaticField, hasCreateMethod, hasDefaultConstructor, hasDefaultCreateMethod, hasEJBCreateMethod, hasEJBFindByPrimaryKey, hasEJBHomeInterface, hasEJBLocalHomeInterface, hasEJBLocalObjectInterface, hasEJBObjectInterface, hasEntityBeanInterface, hasFinalizer, hasFinderMethod, hasLegalRMIIIOPArguments, hasLegalRMIIIOPExceptionTypes, hasLegalRMIIIOPReturnType, hasLocalReturnType, hasMatchingEJBCreate, hasMatchingEJBFind, hasMatchingEJBHome, hasMatchingEJBPostCreate, hasMatchingExceptions, hasMatchingMethod, hasMatchingReturnType, hasMessageDrivenBeanInterface, hasMessageListenerInterface, hasMoreThanOneCreateMethods, hasNoArguments, hasOnMessageMethod, hasPrimaryKeyReturnType, hasRemoteReturnType, hasSessionBeanInterface, hasSessionSynchronizationInterface, hasSingleArgument, hasVoidReturnType, isAbstract, isAbstract, isAllFieldsPublic, isAssignableFrom, isAssignableFrom, isFinal, isFinal, isFinderMethod, isMultiObjectFinder, isOnMessageMethod, isPublic, isPublic, isRMIIDLValueType, isRMIIIOPType, isSingleObjectFinder, isStatic, isStatic, throwsCreateException, throwsFinderException, throwsNoException, throwsRemoteException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serviceEndpointInterface

    protected Class serviceEndpointInterface

Constructor Detail

### EJBVerifier21

    public EJBVerifier21(VerificationContext context)

Method Detail

### checkSession

    public void checkSession(SessionMetaData session)

  Description copied from interface: `VerificationStrategy`
  Checks the session

  Specified by:
    `checkSession` in interface `VerificationStrategy`
  Overrides:
    `checkSession` in class `EJBVerifier20`

### verifyMessageDrivenBean

    protected boolean verifyMessageDrivenBean(MessageDrivenMetaData mdBean)

  Overrides:
    `verifyMessageDrivenBean` in class `EJBVerifier20`

### hasRemoteInterface

    public boolean hasRemoteInterface(Class c)

  Finds java.rmi.Remote interface from the class

### verifyServiceEndpoint

    protected boolean verifyServiceEndpoint(SessionMetaData session)

  Verify Session Bean Service Endpoint

  Parameters:
    `session` -
  Returns:

### hasLegalJAXRPCReturnType

    protected boolean hasLegalJAXRPCReturnType(Method method)

  Parameters:
    `method` -
  Returns:

### isJAXRPCType

    protected boolean isJAXRPCType(Class class1)

  Parameters:
    `class1` -
  Returns:

### hasLegalJAXRPCArguments

    protected boolean hasLegalJAXRPCArguments(Method method)

  Parameters:
    `method` -
  Returns:

### hasServiceEndpointInterfaces

    protected boolean hasServiceEndpointInterfaces(SessionMetaData bean)

  Check whether the bean has declared service endpoint interfaces and whether we can load the defined classes

  Parameters:
    `bean` -
  Returns:
    `true` if everything went alright

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.